<style>
  @keyframes rps-header-loader-rotation {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }
</style>
<div style="text-align: center; padding: 4px;">
  <span id="rps-header-loader" style="
  width: 48px; height: 48px; border-radius: 50%; 
  display: inline-block; border-top: 3px solid grey; 
  border-right: 3px solid transparent; box-sizing: border-box;
  animation: rps-header-loader-rotation 1s linear infinite;
  "></span>
</div>